using Microsoft.Extensions.DependencyInjection;
using Yi.Framework.AiHub.Domain.Shared;
using Yi.Framework.Ddd.Application.Contracts;
using Yi.Framework.Rbac.Application.Contracts;

namespace Yi.Framework.AiHub.Application.Contracts
{
    [DependsOn(
        typeof(YiFrameworkAiHubDomainSharedModule),
        typeof(YiFrameworkDddApplicationContractsModule),
        
        typeof(YiFrameworkRbacApplicationContractsModule)
        )]
    public class YiFrameworkAiHubApplicationContractsModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            var build = context.Services.GetConfiguration();
        }
    }
}